<?
session_start();
include('forb.php');
?>
<html>
<head>
<body>
<link rel="stylesheet" type="text/css" href="style.css">
<?
if($_POST[besked] == "") {
print "Du skal skrive en besked for at få den tilføjet, da du intet har skrevet er din besked ikke tilføjet!";
print "<br><br>";
}else{
include('forb.php');


$dato = date("d/m/Y - H:i:s");
$farve = $_POST[farve];
$ip = $_SERVER[REMOTE_ADDR];
$navn = $_POST[navn];
$tekst = $_POST[besked];
if($_SESSION[Rang] == 'Ejer'){
$tekst = str_replace(">",">",$tekst);
$tekst = str_replace("<","<",$tekst);
}else{
$tekst = str_replace(">"," ",$tekst);
$tekst = str_replace("<"," ",$tekst);
}
$q1 = mysql_query("SELECT * FROM koebte_t WHERE ejer = '$_SESSION[Brugernavn]' AND navn = 'HTML Pakke
'") or die(mysql_error());
$antal = mysql_num_rows($q1);
if($antal > '0'){
$tekst = str_replace("[b]","<b>",$tekst);
$tekst = str_replace("[/b]","</b>",$tekst);
$tekst = str_replace("[i]","<i>",$tekst);
$tekst = str_replace("[/i]","</i>",$tekst);
$tekst = str_replace("[u]","<u>",$tekst);
$tekst = str_replace("[/u]","</u>",$tekst);
$tekst = str_replace("[s]","<s>",$tekst);
$tekst = str_replace("[/s]","</s>",$tekst);
}
if($antal == '0'){
$tekst = str_replace("[b]","<b>",$tekst);
$tekst = str_replace("[/b]","</b>",$tekst);
$tekst = str_replace("[i]","<i>",$tekst);
$tekst = str_replace("[/i]","</i>",$tekst);
$tekst = str_replace("[u]","<u>",$tekst);
$tekst = str_replace("[/u]","</u>",$tekst);
$tekst = str_replace("[s]","<s>",$tekst);
$tekst = str_replace("[/s]","</s>",$tekst);
$tekst = str_replace("[link]","<link>",$tekst);
$tekst = str_replace("[/link]","</link>",$tekst);
}
}
$q1 = mysql_query("SELECT * FROM koebte_t WHERE ejer = '$_SESSION[Brugernavn]' AND navn = 'Smiley pakke'") or die(mysql_error());
$antal = mysql_num_rows($q1);
if($antal > '0'){
$tekst = str_replace(":)","<img src=smiley/grin.png alt=>",$tekst);
$tekst = str_replace("(A)","<img src=smiley/alien.png alt=>",$tekst);
$tekst = str_replace(";O","<img src=smiley/amazed.png alt=>",$tekst);
$tekst = str_replace(":X","<img src=smiley/angry.png alt=>",$tekst);
$tekst = str_replace(":D","<img src=smiley/big.png alt=>",$tekst);
$tekst = str_replace(":S","<img src=smiley/confused.png alt=>",$tekst);
$tekst = str_replace(":'(","<img src=smiley/cry.png alt=>",$tekst);
$tekst = str_replace("o.O","<img src=smiley/dodge.png alt=>",$tekst);
$tekst = str_replace(":(","<img src=smiley/frown.png alt=>",$tekst);
$tekst = str_replace("(L)","<img src=smiley/heart.png alt=>",$tekst);
$tekst = str_replace(":P","<img src=smiley/tongue.png alt=>",$tekst);
$tekst = str_replace(";)","<img src=smiley/wink.png alt=>",$tekst);
$tekst = str_replace("(H)","<img src=smiley/shades.png alt=>",$tekst);
}
if(strpos($tekst, '*Pop*')!==false) 
{
$tekst = str_replace("e","E",$tekst);
$tekst = str_replace("s","z",$tekst);
$tekst = str_replace("S","z",$tekst);
$tekst = str_replace("?","???!??!?!?!?!",$tekst);
$tekst = str_replace("!","!!!!!!!",$tekst);
$tekst = str_replace("b","B",$tekst);
$tekst = str_replace("u","uh",$tekst);
$tekst = str_replace("U","uh",$tekst);
$tekst = str_replace("Ga","Gah",$tekst);
$tekst = str_replace("ga","Gah",$tekst);
$tekst = str_replace("å","åh",$tekst);
$tekst = str_replace("a","ah",$tekst);
$tekst = str_replace("*Pop*"," ",$tekst);
}
$klokken = date("h:i:s");


mysql_query("UPDATE brugere SET Point = Point + 5 WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("UPDATE brugere SET tags = tags + 1 WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("INSERT INTO tagwall (af, dato, besked, ip, farve, tfarve) VALUES ('$navn', '$dato', '$tekst', '$ip', '$farve', '$tfarve')")or die(mysql_error());

print "<meta http-equiv='refresh' content='0; url=tagwall.php'>"; 
if(strpos($tekst, 'Hejsa robot')!==false) 
{ 
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', 'Hejsa $navn.', 'orange')") or die(mysql_error()); 
}
if(strpos($tekst, '/spøgelset')!==false) 
{ 
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Spøgelset', '$dato', '<font size=20>BØH!</font>', 'grey')") or die(mysql_error()); 
}
if(strpos($tekst, '/spøg')!==false) 
{ 
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Spøgelset', '$dato', '$navn bliver nu hjemsøgt af spøgelset resten af hans liv hvis han ikke giver NsYoung 2000 kr.', 'orange')") or die(mysql_error()); 
mysql_query("INSERT INTO konkurrence (brugernavn, konkurrence) VALUES ('$navn', 'Gave')") or die(mysql_error()); 
}
$q1 = mysql_query("SELECT * FROM koebte_t WHERE ejer = '$_SESSION[Brugernavn]' AND navn = 'Kommando pakke'") or die(mysql_error());
$antal = mysql_num_rows($q1);
if($antal > '0'){
if(strpos($tekst, '/brb')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn er straks tilbage!', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/brb' AND af = '$navn'") or die(mysql_error()); 
}
if(strpos($tekst, '/afk')!==false) 
{ 
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn er væk fra tastaturet!', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/afk' AND af = '$navn'") or die(mysql_error()); 
}
if(strpos($tekst, '/back')!==false) 
{ 
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn er er tilbage!', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/back' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/logaf')!==false) 
{
$q = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$hent1 = mysql_fetch_array($q);
$tid = $hent1['logintid'];
$samlign = time() - $tid;

$minutter = $samlign / 60;

if($minutter > 60){
$regn = $minutter - 60;
$min = round($regn);
}else{
$min = round($minutter);
}

$timer = round($min / 60);
$tiden = $timer+$min;

$now = date("d/m-Y H:i");

mysql_query("update brugere set Point = Point+'$min', sidstset = '$now' where brugernavn = '$_SESSION[Brugernavn]'");
mysql_error();
$_SESSION['loggetind'] = "no";
$_SESSION['Brugernavn'] = "0";
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn er desværre logget af. ', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/logaf' AND af = '$navn'") or die(mysql_error()); 
}
if(strpos($tekst, '/hjælp')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '<b>$navn</b> har netop lige bedt om hjælp. En ejer bedes hurtigst muligt henvende sig til <b>$navn</b>!', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/afk' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/guide')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '<b>$navn</b> her er en lille guide over NsYoung.<br><br><u>Tagwall:</u> - <i>Dette er en side hvor man kan skrive med alle de andre brugere på NsYoung, der bliver også smidt en ting eller to en gang imellem.</i><br>
<u>Post:</u> - <i>Dette er et system som gør at du kan sende private beskeder via post til alle andre brugere på NsYoung.</i><br>
<u>Community</u> - <i>Dette er siden hvor der står nogle små nyheder eller informationer. Der står hvis der er tilbud og mere.</i><br>
<u>Casino</u> - <i>Dette er siden hvor du kan hygge dig i flere timer, hvis du er en rigtig gambler.</i><br>
<u>Brugerliste</u> - <i>Dette er siden hvorpå du kan se alle de oprettede bruger på NsYoung, og se lister.</i><br>
<u>Debat</u> - <i>Dette er siden hvor du kan diskutere alle ting, du kan diskutere NsYoung og du har mulighed for at oprette en debat.</i><br>
<u>Torvet</u> - <i>Dette er siden hvor du kan pimpe din bruger op med tøj, html og en masse fede ting.</i><br>
<U>Kampagne</u> - <i>Dette er siden hvor du en gang imellem kan få en gratis ting eller figur til din bruger.</i><br>
<U>Banken</u> - <i>Dette er siden hvor du kan gemme dine penge i banken og overføre til andre brugere.</i><br>
<u>Crew</u> - <i>Dette er siden hvor du kan se hvem der arbejder på siden her. Du kan måske også selv få job.</i><br>
<u>Artikler</u> - <i>Dette er siden hvor du kan læse IRL artikler og artikler om Højhuset.</i><br>
<u>Nyheder</u> - <i>Dette er siden hvor du kan læse det nyeste nye både på HH og på NsYoung.</i><br>
<u>Bannerbyt</u> - <i>Dette er siden hvor du kan få dit banner ind på vores side hvis vi får dit ind på jeres.</i><br>
<u>Diverse</u> - <i>Dette er siden hvor der ligger diverse ting, f.eks konkurrencer, sponsore og mere.</i>
', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/brb' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/ses')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn skal gå nu, sig pænt farvel!', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/ses' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/ip')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn din IP er $_SERVER[REMOTE_ADDR]', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/ip' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/hej')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn hilser pænt på alle.', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/hej' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/spise')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn skal spise, og kan derfor ikke svare', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/spise' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/wc')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn er lige gået på wc, han kommer snart tilbage!', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/wc' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/genert')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn er lidt genert.', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/genert' AND af = '$navn'") or die(mysql_error());
}
if(strpos($tekst, '/nsyoung')!==false) 
{
mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$navn syntes at NsYoung er en overfed avis.', 'orange')") or die(mysql_error()); 
mysql_query("DELETE FROM tagwall WHERE besked = '/nsyoung' AND af = '$navn'") or die(mysql_error());


}
}
?>